[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ByteType

Return the type of byte in an ansistring for a multi-byte character set

## Declaration

Source position: sysstrh.inc line 229

`function ByteType(`
`const S: String;`
`Index: Integer`
`):TMbcsByteType;`

## Description

ByteType returns the type of byte in the ansistring S at (1-based) position Index.

## Errors

No checking on the index is performed.

## See also

TMbcsByteType |  | Type of multi-byte character set.
StrByteType |  | Return the type of byte in a null-terminated string for a multi-byte character set

The latest version of this document can be found at lazarus-ccr.sourceforge.net.